function rmse = imagediff(filename1, filename2)

% Read image 1
h = fopen(filename1,'r');
x1 = fread(h,[320,200],'uint8')';
fclose(h);
% Read image 2
h = fopen(filename2,'r');
x2 = fread(h,[320,200],'uint8')';
fclose(h);
% Show image 1
subplot(2,2,1);
image(cat(3,x1,x1,x1)/255)
axis equal;axis off;
title('Image 1');
% Show image 2
subplot(2,2,2);
image(cat(3,x2,x2,x2)/255)
axis equal;axis off;
title('Image 2');
% Show image difference
subplot(2,2,3);
image(abs(cat(3,x1-x2,x1-x2,x1-x2)/255))
axis equal;axis off;
title('Difference');
% Calculate RMSE
rmse = sqrt(mean(mean((x1-x2).^2)));
